package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZjcsxx;

/**
 * 设计-钻具参数信息Service接口
 * 
 * @author
 * @date 2025-08-18
 */
public interface ISjZjcsxxService 
{
    /**
     * 查询设计-钻具参数信息
     * 
     * @param id 设计-钻具参数信息主键
     * @return 设计-钻具参数信息
     */
    public SjZjcsxx selectSjZjcsxxById(Long id);

    /**
     * 查询设计-钻具参数信息列表
     * 
     * @param sjZjcsxx 设计-钻具参数信息
     * @return 设计-钻具参数信息集合
     */
    public List<SjZjcsxx> selectSjZjcsxxList(SjZjcsxx sjZjcsxx);

    /**
     * 新增设计-钻具参数信息
     * 
     * @param sjZjcsxx 设计-钻具参数信息
     * @return 结果
     */
    public int insertSjZjcsxx(SjZjcsxx sjZjcsxx);

    /**
     * 修改设计-钻具参数信息
     * 
     * @param sjZjcsxx 设计-钻具参数信息
     * @return 结果
     */
    public int updateSjZjcsxx(SjZjcsxx sjZjcsxx);

    /**
     * 批量删除设计-钻具参数信息
     * 
     * @param ids 需要删除的设计-钻具参数信息主键集合
     * @return 结果
     */
    public int deleteSjZjcsxxByIds(Long[] ids);

    /**
     * 删除设计-钻具参数信息信息
     * 
     * @param id 设计-钻具参数信息主键
     * @return 结果
     */
    public int deleteSjZjcsxxById(Long id);
}
